
Foreman - Bug #1862

Icons bar on Hosts page is always present.

09/14/2012 07:24 AM - Kamil Winczek

Status: Closed   

Priority: Normal   

Assignee: Robert Birnie   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Icons bar (change host, edit, modify, delete, etc) is always present on Hosts page after reload because checkbox next to Name

column (header row) is ticked by default.

Unchecking the box makes icons bar disappear which is expected behaviour.

By default mentioned checkbox should not be selected and icons bar not be visible.

Associated revisions

Revision da63ee3a - 10/28/2012 04:34 PM - Robert Birnie

fixes #1862 resets cookie after deleting hosts

History

#1 - 09/14/2012 07:39 AM - Ohad Levy

its not check by default, but it means that you have selected a host at some point (maybe in some other page or search).

I'm aware of a limitation that when we delete a host, we don't un-flag it from the checked list.

#2 - 10/26/2012 01:31 PM - Robert Birnie

Submitted a pull request for this.

https://github.com/theforeman/foreman/pull/213

#3 - 10/28/2012 04:35 PM - Ohad Levy

- Category set to Web Interface

- Target version set to 1.1

#4 - 10/28/2012 04:36 PM - Ohad Levy

- Assignee set to Robert Birnie

#5 - 10/28/2012 07:57 PM - Robert Birnie

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset da63ee3a86232866c4413edd8c4e92fdff28a8c6.
